Bug 127995 - mpu401 port not working for intel8x0 soundcard
mpu401 port not working for intel8x0 soundcard
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-16 02:22 EDT by George Hansper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 05:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Hansper 2004-07-16 02:22:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I was trying to get the mpu401 MIDI port to work with my
on-board intel810 soundcard, and I eventually worked out
that I needed to add:

    options snd-intel8x0 mpu_port=0x300

to my /etc/modprobe.conf
This was only after resorting to looking at the kernel source-code.

I found whole exercise very time-consuming and frustrating.

Can this line be added by default, even if it has to be:
#options snd-intel8x0 mpu_port=0x300

There was very little information included on how to "tweak" the
ALSA installation like this.

Version-Release number of selected component (if applicable):
modutils-2.4.26-16

How reproducible:
Always

Steps to Reproduce:
1. aconnect -i
2.
3.
    

Actual Results:  client 0: 'System' [type=kernel]
    0 'Timer           '
    1 'Announce        '


Expected Results:  client 0: 'System' [type=kernel]
    0 'Timer           '
    1 'Announce        '
client 64: 'Intel ICH5 MIDI - Rawmidi 0' [type=kernel]
    0 'Intel ICH5 MIDI '


Additional info:

Motherboard: ASUS P4P800 Deluxe
Comment 1 Bill Nottingham 2005-01-25 14:31:08 EST
At best, this would be an option in the soundcard config tool.

Note that current FC development kernels do not support the mpu_port
option to this driver.
Comment 2 Matthew Miller 2005-04-26 11:03:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Martin Stransky 2005-12-20 08:21:45 EST
Can anybody check it in FC4? It should work out-of-the-box.
Comment 4 Martin Stransky 2006-01-03 10:33:33 EST
Some how-to for the latest alsa-driver and FC4 is here:
http://people.redhat.com/stransky/alsa/

Note You need to log in before you can comment on or make changes to this bug.